--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: This is the preferred way to register the BotModule so that it responds to appropriately-formed messages on Irc.
full_name: Irc::Bot::Plugins::BotModule#map
is_singleton: false
name: map
params: " map(template, options)\n"
visibility: public
